require "roqua-support/version"
require "roqua-support/railtie" if defined?(Rails)
require "roqua/support"

module Roqua
  module Probes
    autoload :DelayedJobProbe, 'roqua/probes/delayed_job_probe'
    autoload :MonitoringProbe, 'roqua/probes/monitoring_probe'
    autoload :SchedulingProbe, 'roqua/probes/scheduling_probe'
  end

  module Responders
    autoload :ApiErrorsResponder, 'roqua/responders/api_errors_responder'
    autoload :ActiveInteractionAwareResponder, 'roqua/responders/active_interaction_aware_responder'
  end

  module Scheduling
    autoload :CronJob, 'roqua/scheduling/cron_job'
    autoload :CronJobTable, 'roqua/scheduling/cron_job_table'
    autoload :Scheduler, 'roqua/scheduling/scheduler'
    autoload :Schedule, 'roqua/scheduling/schedule'
    autoload :Task, 'roqua/scheduling/task'
  end

  module StatusChecks
    autoload :CheckDbConnection, 'roqua/status_checks/check_db_connection'
    autoload :CheckLoadBalancerMember, 'roqua/status_checks/check_load_balancer_member'
    autoload :StatusController, 'roqua/status_checks/status_controller'
  end
end
