require_relative 'base_probe'

module Roqua
  module Probes
    class DelayedJobProbe
      include BaseProbe

      def backlog_count
        Delayed::Job.where(locked_at: nil).where('run_at < ?', Time.zone.now).count
      end

      def run
        Appsignal.set_gauge('delayed_job_backlog_count', backlog_count)
      end
    end
  end
end
