# Scopes json errors to the object-class:
#
# @example
#   {errors: {person: name: ['blank']}}
#
# Does not play well with others, replaces json_resource_errors; when including multiple responders, ordering matters.
module Roqua
  module Responders
    module ApiErrorsResponder
      def json_resource_errors
        {:errors => {json_resource_class_name => resource.errors}}
      end

      def json_resource_class_name
        # TODO: Break backwards compat and return "response => " instead
        underscored = resource.class.name.underscore
        case underscored
        when "response"
          "answer"
        else
          underscored
        end
      end
    end
  end
end
