require 'logger'
require 'roqua/logging/roqua_logging_railtie' if defined?(Rails)
require 'roqua/support/instrumentation'
require 'roqua/support/log_wrapper'
require 'roqua/support/errors'
require 'roqua/support/stats'

module Roqua
  class << self
    def appname
      @appname
    end

    def appname=(name)
      @appname = name
    end

    def logger
      @logger || raise('Roqua.logger not yet initialized')
    end

    def logger=(logger)
      @logger = LogWrapper.new(logger)
    end

    def stats
      @stats ||= ::Roqua::Support::Stats.new
    end

    def stats=(stats)
      @stats = stats
    end
  end
end
